CKEDITOR.plugins.add('upload', {
  init : function(editor) {
  
    var command = editor.addCommand('upload', new CKEDITOR.dialogCommand('upload'));
    command.modes = {wysiwyg:1, source:1};
    command.canUndo = true;

    editor.ui.addButton('upload', {
      label : 'Создать Cut',
      command : 'upload',
      icon: this.path + 'images/icon2.png'
    });

    CKEDITOR.dialog.add('upload', this.path + 'dialogs/upload.js');
  }
});


